Get Classifications List
GET
/pimapi/v1/classificationsRetrieve a list of all defined classification systems without including their hierarchy/groups.
Query Parameters
Section titled “Query Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
languageId | string | No | Language tag to localize descriptions (e.g., en, de). If omitted, all translated values are returned. |
Request Examples
Section titled “Request Examples”curl -X GET "https://dev.pxm.eu.prodexa.com/pxm/pimapi/v1/classifications?languageId=en" \ -H "X-API-KEY: your_hex_api_key" \ -H "Accept: application/json"const headers = new Headers();headers.append("X-API-KEY", "your_hex_api_key");headers.append("Accept", "application/json");
fetch("https://dev.pxm.eu.prodexa.com/pxm/pimapi/v1/classifications?languageId=en", { method: 'GET', headers: headers}) .then(response => response.json()) .then(result => console.log(result)) .catch(error => console.log('error', error));Response Structure
Section titled “Response Structure”HTTP 200 OK Response
Section titled “HTTP 200 OK Response”Returns a list of classifications wrapped in status details.
{ "status": 200, "meta": { "languageId": "en" }, "data": [ { "classificationId": "ECLASS_10", "shortDescription": [ { "languageId": "en", "value": "eCl@ss 10.0" } ], "versionNo": "10.0", "type": "ECLASS" }, { "classificationId": "ETIM_8", "shortDescription": [ { "languageId": "en", "value": "ETIM 8.0" } ], "versionNo": "8.0", "type": "ETIM" } ]}HTTP 404 Not Found Response
Section titled “HTTP 404 Not Found Response”Returned if no classifications are found.
{ "status": 404, "meta": { "languageId": "en" }, "error": "No Classification found"}